\( \newcommand{\E}{\mathrm{E}} \) \( \newcommand{\A}{\mathrm{A}} \) \( \newcommand{\R}{\mathrm{R}} \) \( \newcommand{\N}{\mathrm{N}} \) \( \newcommand{\Q}{\mathrm{Q}} \) \( \newcommand{\Z}{\mathrm{Z}} \) \( \def\ccSum #1#2#3{ \sum_{#1}^{#2}{#3} } \def\ccProd #1#2#3{ \sum_{#1}^{#2}{#3} }\)

CGAL 4.8 - CGAL and the Boost Graph Library

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Groups Pages
List of all members | Public Member Functions
CGAL::Halfedge_around_target_iterator< Graph > Class Template Reference
Iterators and Circulators

`#include <CGAL/boost/graph/iterator.h>`

## Definition

A bidirectional iterator with value type `boost::graph_traits<Graph>::halfedge_descriptor` over all halfedges having the same vertex as target.

Let `h` be a halfedge of graph `g`. For a `Halfedge_around_target_iterator` `havi` with `h = *havi;` the following holds: Either `++havi` is the past the end iterator, or `opposite(next(h,g),g) == *++havi`.

Template Parameters

  Graph | must be a model of the concept `HalfedgeGraph`

Is Model Of:
  `BidirectionalIterator`

Examples:
  BGL_polyhedron_3/incident_vertices.cpp.

## Public Member Functions
| Halfedge_around_target_iterator ()
| Halfedge_around_target_iterator (halfedge_descriptor hd, const Graph &g, int n=0)